]> git.karo-electronics.de Git - karo-tx-linux.git/blobdiff - scripts/kconfig/lxdialog/check-lxdialog.sh
Merge Linus master to drm-next
[karo-tx-linux.git] / scripts / kconfig / lxdialog / check-lxdialog.sh
index 62e1e02126e61d5cde4945c9d7f922153ea6f90e..fcef0f59d5539c61499e70d2566ccc0c492da90a 100644 (file)
@@ -36,8 +36,10 @@ trap "rm -f $tmp" 0 1 2 3 15
 
 # Check if we can link to ncurses
 check() {
-       echo -e " #include CURSES_LOC \n main() {}" |
-           $cc -xc - -o $tmp 2> /dev/null
+        $cc -xc - -o $tmp 2>/dev/null <<'EOF'
+#include CURSES_LOC
+main() {}
+EOF
        if [ $? != 0 ]; then
            echo " *** Unable to find the ncurses libraries or the"       1>&2
            echo " *** required header files."                            1>&2
@@ -50,7 +52,7 @@ check() {
 }
 
 usage() {
-       printf "Usage: $0 [-check compiler options|-header|-library]\n"
+       printf "Usage: $0 [-check compiler options|-ccflags|-ldflags compiler options]\n"
 }
 
 if [ $# -eq 0 ]; then